[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThread.NameThreadForDebugging

Set a thread name

## Declaration

Source position: classesh.inc line 1796

`public class procedure TThread.NameThreadForDebugging(`
`aThreadName: UnicodeString;`
`aThreadID: TThreadID = TThreadID(- 1)`
`); class procedure TThread.NameThreadForDebugging(`
`aThreadName: AnsiString;`
`aThreadID: TThreadID = TThreadID(- 1)`
`);`

## Description

NameThreadForDebugging sets the name of thread aThreadID to aThreadName. The thread name can be Unicode or ansistring. This is mainly useful for debugging purposes, as thread names are more easily recognizable than IDs.

Note that this requires OS support, so at the moment it is Windows and Unix only.